Symbols

Get Symbol Details

GET
/symbols/{symbolId}

Authorization

appToken read
AuthorizationBearer <token>

App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.

In: header

Scope: read

Path Parameters

symbolId*string
symbolId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/symbols/string"
{  "symbolId": "string",  "symbolGroupId": "string",  "platformGroupId": "string",  "platformId": "string",  "description": "string",  "name": "string",  "symbol": "string",  "quoteCurrencyCode": "string",  "contractSize": "string",  "point": "string",  "environment": "production",  "platform": {    "platformId": "string",    "name": "string",    "provider": "string"  },  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z"}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}